TechDraw Cote angulaire par 3 points

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw 3PtAngleDimension and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎hrvatski • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Page précédente: TechDraw AngleDimension.svg Cote angulaire
Page suivante: Extension horizontale TechDraw HorizontalExtentDimension.svg Arrow-right.svg

TechDraw 3PtAngleDimension.svg TechDraw Cote angulaire par 3 points

Emplacement du menu
TechDraw → Insérer une cote angulaire à 3 points
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.18
Voir aussi
TechDraw Cote angulaire

Description

L'outil Mesure d'angle par 3 points ajoute une cote angulaire à une vue. La dimension peut être spécifiée en sélectionnant trois sommets dans une vue. Notez que le second des trois sommets est le sommet de l'angle. La Mesure d'angle par 3 pts sera initialement l'angle projeté (c'est-à-dire, comme indiqué sur le dessin) mais peut être remplacé par la distance 3D réelle à l'aide de l'outil TechDraw LinkDimension.svg TechDraw Lier une dimension.

TechDraw Dimension Angle3Pt example.png

Mesurer l'angle entre deux lignes droites à l'aide de trois sommets; le deuxième sommet devrait être le sommet de l'angle

Comment faire

  1. Sélectionnez les points ou les arêtes qui définissent votre mesure.
  2. Appuyez sur le bouton TechDraw 3PtAngleDimension.svg Insérer une cote angulaire à 3 points.
  3. Une dimension sera ajoutée à la vue. La cote peut être déplacée à la position souhaitée.
  4. Si nécessaire, ajoutez des tolérances comme décrit dans cette page.

Pour modifier les propriétés d'un objet dimension, double-cliquez dessus dans le dessin ou dans la Vue en arborescence. Cela ouvrira la Boîte de dialogue Dimension.

Limitations

Les objets Dimension sont vulnérables au "problèmes de nommage topologique". Voir TechDraw Cote de longueur pour plus d'informations.

Propriétés

Voir Cote de longueur.

Script

Voir aussi: TechDraw API et Débuter avec les scripts.

L'outil Cote angulaire par 3 points peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)


Arrow-left.svg Page précédente: TechDraw AngleDimension.svg Cote angulaire
Page suivante: Extension horizontale TechDraw HorizontalExtentDimension.svg Arrow-right.svg